Permalink
Browse files

Readme updates. Link manual downloads to version 23.

  • Loading branch information...
1 parent 68dd20f commit b191b8b19fe834291c4f14899dc326fcd94b157d @technomancy technomancy committed Dec 30, 2009
Showing with 9 additions and 13 deletions.
  1. +8 −8 README.markdown
  2. +1 −5 TODO
View
@@ -1,10 +1,10 @@
# Emacs Starter Kit
-This should provide a saner set of defaults than you get normally with
-Emacs. It's intended for beginners, but it should provide a reasonable
-working environment for anyone using Emacs for dynamic languages. The
-main advantage of the Starter Kit is that it provides better default
-settings and bundles many useful libraries.
+The Starter Kit should provide a saner set of defaults than you get
+normally with Emacs. It was originally intended for beginners, but it
+should provide a reasonable working environment for anyone using Emacs
+for dynamic languages. It also bundles a number of useful libraries
+that are not distributed with Emacs for various reasons.
The latest version is at http://github.com/technomancy/emacs-starter-kit/
@@ -21,8 +21,8 @@ screencast](http://peepcode.com/products/meet-emacs) helpful. The
1. Install GNU Emacs (at least version 22, 23 is preferred)
Use your package manager if you have one.
- Otherwise, Mac users should get it [from Apple](http://www.apple.com/downloads/macosx/unix_open_source/carbonemacspackage.html).
- Windows users can get it [from GNU](http://ftp.gnu.org/gnu/emacs/windows/emacs-22.3-bin-i386.zip).
+ Otherwise Mac users may get [some prebuilt binaries](http://emacsformacosx.com/), and
+ Windows users can get them [from GNU](http://ftp.gnu.org/pub/gnu/emacs/windows/emacs-23.1-bin-i386.zip).
2. Move the directory containing this file to ~/.emacs.d
(If you already have a directory at ~/.emacs.d move it out of the
way and put this there instead.)
@@ -95,7 +95,7 @@ The Starter Kit is designed to work with GNU Emacs version 22 or
greater. Using it with forks or other variants is not supported. It
probably won't work with XEmacs, though some have reported getting it
to work with Aquamacs. However, since Aquamacs is not portable,
-it's difficult to test in it.
+it's difficult to test in it, and breakage is common.
## Contributing
View
6 TODO
@@ -1,12 +1,8 @@
TODO:
-Submit the packages in starter-kit-elpa.el to ELPA.
+Submit the packages in elpa-to-submit to ELPA.
to write/finish:
* submit ruby fixes to flymake
which-func-mode in ruby?
-
-Bug fixes:
-get jabber.el to automatically disconnect when suspending/hibernating (via dbus)
-same with rcirc.el

0 comments on commit b191b8b

Please sign in to comment.